<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * local_olimp_reports file description here.
 *
 * @package    local_olimp_reports
 * @copyright  2022 alex sidorof <alex.sidorof@ya.ru>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


class reports_cert_and_dip extends \table_sql{

    public function __construct($uniqueid){
        parent::__construct($uniqueid);

        $columns = array('fullname','email','name_obr','place_obr','ball','dip_or_sap','fio','gdate','kod');
        $this->define_columns($columns);

        $headers = array(get_string('fullname', 'local_olimp_reports'),
            get_string('email', 'local_olimp_reports'),
            get_string('name_obr', 'local_olimp_reports'),
            get_string('place_obr', 'local_olimp_reports'),
            get_string('ball', 'local_olimp_reports'),
            get_string('dip_or_sap', 'local_olimp_reports'),
            get_string('fio', 'local_olimp_reports'),
            get_string('gdate', 'local_olimp_reports'),
            get_string('kod', 'local_olimp_reports'));
        $this->define_headers($headers);
        $this->pageable(true);
    }

    function col_fullname($values){
        // If the data is being downloaded than we don't want to show HTML.

        if ($this->is_downloading()) {
            return $values->fullname;
        } else {
            return '<a href="/moodle/user/view.php?id='.$values->id.'">'.$values->fullname.'</a>';
        }
    }

}